Subject: [lamps] draft-ietf-lamps-lightweight-cmp-profile-02 and draft-ietf-lamps-updates-cmp-02 - pre-registration of OIDs

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Tue, 14 Jul 2020 14:31:55 +0000

Russ

As we are currently implementing the CMP profile, it would be great to get a pre-registration of the new OIDs.

draft-ietf-lamps-lightweight-cmp-profile-02
section 4.4.2 + Appendix A - id-it-caCerts OBJECT IDENTIFIER ::= { id-it- ... }
section 4.4.3 + Appendix A - id-it-rootCaKeyUpdate OBJECT IDENTIFIER ::= { id-it- ... }
section 4.4.4 + Appendix A - id-it-certReqTemplate OBJECT IDENTIFIER ::= { id-it- ... }

draft-ietf-lamps-updates-cmp-02
section 2.2 + Appendix A - id-kp-cmKGA OBJECT IDENTIFIER ::= { id-kp- ... }

- Hendrik

---

From: Russ Housley <[email-masked]>
Date: Tue, 14 Jul 2020 14:13:50 -0400

Roman:

Can we get early IANA allocation of these OIDs?

They will be allocated from these registries:
https://www.iana.org/assignments/smi-numbers/smi-numbers.xhtml#smi-numbers-1.3.6.1.5.5.7.3
https://www.iana.org/assignments/smi-numbers/smi-numbers.xhtml#smi-numbers-1.3.6.1.5.5.7.4

I am the IANA Expert for both of these registries, and I thing early assignment is fine.

Russ

> On Jul 14, 2020, at 10:31 AM, Brockhaus, Hendrik <[email-masked]> wrote:
> 
> Russ
>

---

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Thu, 23 Jul 2020 12:55:14 +0000

Roman, Russ

Is there anything you need for the pre-registration, please let me know.

- Hendrik

> Von: Spasm <[email-masked]> Im Auftrag von Russ Housley
> 
> Roman:
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.iana
> .org%2Fassignments%2Fsmi-numbers%2Fsmi-numbers.xhtml%23smi-numbers-
> 1.3.6.1.5.5.7.3&amp;data=02%7C01%7Chendrik.brockhaus%40siemens.com%7
> Cbacb7408e0684503d96e08d82821b10a%7C38ae3bcd95794fd4addab42e1495
> d55a%7C1%7C0%7C637303472452586449&amp;sdata=bJ%2BadCn4qVulqHPaG
> fMV3i5GGMwd5Pt4TqV4HqRm21M%3D&amp;reserved=0
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.iana
> .org%2Fassignments%2Fsmi-numbers%2Fsmi-numbers.xhtml%23smi-numbers-
> 1.3.6.1.5.5.7.4&amp;data=02%7C01%7Chendrik.brockhaus%40siemens.com%7
> Cbacb7408e0684503d96e08d82821b10a%7C38ae3bcd95794fd4addab42e1495
> d55a%7C1%7C0%7C637303472452586449&amp;sdata=ZUxzurbyjzuzh0z0HibNY
> VyX89u%2B5HK3DD%2BljfnGmS0%3D&amp;reserved=0
> 
> > section 4.4.2 + Appendix A - id-it-caCerts OBJECT IDENTIFIER ::= {
> > id-it- ... } section 4.4.3 + Appendix A - id-it-rootCaKeyUpdate OBJECT
> > IDENTIFIER ::= { id-it- ... } section 4.4.4 + Appendix A -
> > id-it-certReqTemplate OBJECT IDENTIFIER ::= { id-it- ... }
> >

---

From: Roman Danyliw <[email-masked]>
Date: Thu, 23 Jul 2020 14:21:58 +0000

Hi!

I approve this early allocation.

Regards,
Roman

> -----Original Message-----
> From: Russ Housley <[email-masked]>
> Sent: Tuesday, July 14, 2020 2:14 PM
> To: Roman Danyliw <[email-masked]>
> Cc: LAMPS WG <[email-masked]>; [email-masked];
> Brockhaus, Hendrik <[email-masked]>
> Subject: Re: [lamps] draft-ietf-lamps-lightweight-cmp-profile-02 and draft-ietf-
> lamps-cmp-updates-02 - pre-registration of OIDs
> 
> Roman:
>

---

From: Russ Housley <[email-masked]>
Date: Thu, 23 Jul 2020 11:42:17 -0400

Dear IANA Functions Operator:

As you can see from the attached messages, the Security AD has approved early allocation.  Please make the following early allocation assignments.

	id-kp-cmKGA				[draft-ietf-lamps-cmp-updates]

	id-it-caCerts 				[draft-ietf-lamps-lightweight-cmp-profile]
	id-it-rootCaKeyUpdate		[draft-ietf-lamps-lightweight-cmp-profile]
	id-it-certReqTemplate		[draft-ietf-lamps-lightweight-cmp-profile]

Thanks,
  Russ

> From: Roman Danyliw <[email-masked]>
> Subject: Re: [lamps] draft-ietf-lamps-lightweight-cmp-profile-02 and draft-ietf-lamps-cmp-updates-02 - pre-registration of OIDs
> Date: July 23, 2020 at 10:21:58 AM EDT
> To: Russ Housley <[email-masked]>
> Cc: LAMPS WG <[email-masked]>, "[email-masked]" <[email-masked]>, "Brockhaus, Hendrik" <[email-masked]>
> 
> Hi!
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spasm

---

From: Tomas Gustavsson <[email-masked]>
Date: Tue, 28 Jul 2020 10:32:22 +0200

Hi,

I aim to participate in the WG meeting at IETF-108 today to discuss
this, but send this ahead to the list. Also good for archive.

I have two comments:

draft-ietf-lamps-lightweight-cmp-profile-02:

1.

Section 3.1:

"The hash algorithm used SHOULD be SHA-256"

Would it be beneficial for crypto agility to specify algorithms in a
separate section? Now we will eventually end up with the same state as
RFC4210 that specifies SHA-1. We also start to get some requests for
EdDSA for IoT, so I could see that EdDSA may come up as a requirement here.

SHA-256 is specified in a couple of places, and we may want to think
crypto agility from start.

2.

Section 6.1.

RFC6712 only mentions one "cmp/" url, and I think most implementations
today uses only one url endpoint for all CMP messages.

I think this is an extension to the RFC 6712, and think that this fact
should be stated explicitly.

Regards,
Tomas